<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class is used to create our Menu/Navbars
 *
 * @package    OSB
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Menu {
	public static function items($type) {
		$result = array();

		if (empty(URL::$method_directory[$type]))
			return NULL;

		$uo = Auth::instance()->get_user();

		foreach ($uo->methods() as $mmo)
			if ($mmo->menu_display AND preg_match('/^'.$type.'_/',$mmo->name))
				if (empty($result[$mmo->id]))
					$result[$mmo->id] = $mmo;

		return $result;
	}
}
?>
