<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Reseller Invoice viewing functions
 *
 * @package    Invoice
 * @category   Controllers/Reseller
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Reseller_Invoice extends Controller_Invoice {
	public function action_list() {
		list($id,$output) = Table::page(__METHOD__);

		$ao = ORM::factory('Account',$id);

		if (! $ao->loaded() OR ! Auth::instance()->authorised($ao)) {
			$this->template->content = 'Unauthorised or doesnt exist?';
			return FALSE;
		}

		Block::add(array(
			'body'=>$output,
		));

		$this->ao = $ao;

		// @todo Our pagination is broken if we select multiple accounts, and those accounts have multiple invoices.
		return parent::action_list();
	}
}
?>
